CORE_SERVER(1)

NAME
core_server - The primary server for SpamBayes.

DESCRIPTION
Currently serves the web interface only. Plugging in listeners for various protocols is TBD. This is a first cut at creating a standalone server which uses a plugin architecture to support different protocols. The primary motivation is that web apps like MoinMoin, Trac and Roundup can use spam detection, but they don't necessarily provide the mechanisms necessary to save ham and spam databases for retraining. By providing protocol plugins you should be able to fairly easily provide (for example) an XML-RPC interface web apps can use. The core server takes care of all the training bells and whistles.

Usage:

    core_server.py [options]

    options:

-h  : Displays this help message.

    -P module :

    Identify plugin module to use (required)

    -d FILE : use the named DBM database file -p FILE : the the named Pickle database file -u port : User interface listens on this port number

    (default 8880; Browse http://localhost:8880/)

-b  : Launch a web browser showing the user interface.

    -o section:option:value :

    set [section, option] in the options database to value

    All command line arguments and switches take their default values from the [html_ui] section of bayescustomize.ini.

SEE ALSO
The full documentation for option is maintained as a Texinfo manual. If the info and option programs are properly installed at your site, the command

    info option

should give you access to the complete manual.